Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/dustemission_mod.F90	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/dustemission_mod.F90	(revision 3851)
@@ -153,4 +153,15 @@
 !======================================================================================
 !--------------------------------------------------------------------------------------
+
+  SUBROUTINE dustemis_out_init()
+
+    USE dimphy
+
+    !AS: moved here from subroutine initdust
+    ALLOCATE( m1dflux(klon) )
+    ALLOCATE( m2dflux(klon) )
+    ALLOCATE( m3dflux(klon) )
+
+  END SUBROUTINE dustemis_out_init
 
   SUBROUTINE dustemission( debutphy, xlat, xlon, &    !Input
@@ -625,7 +636,4 @@
     ALLOCATE( srel(nats,nclass) )
     ALLOCATE( srel2(nats,nclass) )
-    ALLOCATE( m1dflux(klon) )
-    ALLOCATE( m2dflux(klon) )
-    ALLOCATE( m3dflux(klon) )
 
 
@@ -672,5 +680,4 @@
       !&      .and.pctsrf(i)>0.5.and.Pini(i,nts)>0.)THEN
   ! JE20150605<< easier to read
-  !    IF(pctsrf(i)>0.5.and.Pini(i,nts)>0.)THEN
       IF(pctsrf(i,is_ter)>0.5.and.Pini(i,nts)>0.)THEN
   ! JE20150605>>
@@ -1263,17 +1270,5 @@
                       modwm=sqrt((wind10ms(kwb)**2)+(1.2*zwstar(i))**2)
                       ustarns=cdnms*modwm*100.
-!JE20150202 <<
-! Do not have too much sense.. and is not anymore in the chimere14b version.
-!
-!                      utmin=umin/(cdnms*ceff)
-!                   IF(wind10cm(kwb).ge.utmin)THEN
-!                      ustarsalt=ustarns+  &
-!                    (0.3*(wind10cm(kwb)/100.-utmin/100.)**2.)
-!                   ELSE
-!                      ustarsalt=ustarns
-!                   ENDIF
-! ustarsalt should be :
                     ustarsalt=ustarns
-!JE20150202 >>
 
 
Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/lsc_scav_spl.F90
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 3851)
@@ -179,5 +179,5 @@
 
 !  pressure and size of the layer
-  DO k=klev-1, 1, -1
+  DO k=klev, 1, -1
    DO i=1, klon 
      zrho(i,k)=pplay(i,k)/t(i,k)/RD   
Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 3851)
@@ -68,5 +68,5 @@
        flux_sparam_sscoa,u10m_ss,v10m_ss
 
-  USE dustemission_mod, ONLY : m1dflux, m2dflux, m3dflux
+  USE dustemission_mod, ONLY : m1dflux, m2dflux, m3dflux 
 
 !  USE phytrac_mod, ONLY : d_tr_cl, d_tr_th, d_tr_cv, d_tr_lessi_impa, &
@@ -82,5 +82,5 @@
 CONTAINS 
 
-  ! ug Routine pour définir (los du premier passageà) ET sortir les variables
+  ! ug Routine pour définir (lors du premier passageà) ET sortir les variables
   SUBROUTINE phys_output_write_spl(itap, pdtphys, paprs, pphis, &
        pplay, lmax_th, aerosol_couple,         &
@@ -90,5 +90,5 @@
 
     ! This subroutine does the actual writing of diagnostics that were
-    ! defined and initialised in phys_output_mod.F90
+    ! defined and initialised mainly in phytracr_spl_mod.F90 (SPLA tracers, subroutine phytracr_spl_out_init)
 
     USE dimphy, ONLY: klon, klev, klevp1
@@ -148,15 +148,17 @@
          o_alp_bl_fluct_m, o_alp_bl_fluct_tke, &
          o_alp_bl_conv, o_alp_bl_stat, &
-         o_slab_qflux, o_tslab, o_slab_bils, &
+         o_slab_qflux, o_tslab, &
+         !o_slab_bils, &
          o_slab_bilg, o_slab_sic, o_slab_tice, &
          o_weakinv, o_dthmin, o_cldtau, &
          o_cldemi, o_pr_con_l, o_pr_con_i, &
          o_pr_lsc_l, o_pr_lsc_i, o_re, o_fl, &
-         o_rh2m, o_rh2m_min, o_rh2m_max, &
+         o_rh2m, &
+         !o_rh2m_min, o_rh2m_max, &
          o_qsat2m, o_tpot, o_tpote, o_SWnetOR, &
          o_LWdownOR, o_snowl, &
          o_solldown, o_dtsvdfo, o_dtsvdft, &
          o_dtsvdfg, o_dtsvdfi, o_z0m, o_z0h, o_od550aer, &
-         o_od865aer, o_absvisaer, o_od550lt1aer, &
+         o_od865aer, o_abs550aer, o_od550lt1aer, &
          o_sconcso4, o_sconcno3, o_sconcoa, o_sconcbc, &
          o_sconcss, o_sconcdust, o_concso4, o_concno3, &
@@ -300,4 +302,5 @@
          ema_cbmf, Ma, fm_therm, ale_bl, alp_bl, ale, &
          alp, cin, wake_pe, wake_s, wake_deltat, &
+         ale_wake, ale_bl_stat, &
          wake_deltaq, ftd, fqd, ale_bl_trig, albsol1, &
          rnebcon, wo, falb1, albsol2, coefh, clwcon0, &
@@ -323,13 +326,16 @@
          t2m, fluxt, fluxlat, fsollw, fsolsw, &
          wfbils, wfbilo, cdragm, cdragh, cldl, cldm, &
-         cldh, cldt, JrNt, cldljn, cldmjn, cldhjn, &
-         cldtjn, cldq, flwp, fiwp, ue, ve, uq, vq, &
+         cldh, cldt, JrNt, &
+         ! cldljn, cldmjn, cldhjn, cldtjn &
+         cldq, flwp, fiwp, ue, ve, uq, vq, &
          plcl, plfc, wbeff, upwd, dnwd, dnwd0, prw, &
          s_pblh, s_pblt, s_lcl, s_therm, uwriteSTD, &
          vwriteSTD, wwriteSTD, phiwriteSTD, qwriteSTD, &
-         twriteSTD, ale_wake, alp_wake, wake_h, &
+         twriteSTD, alp_wake, wake_h, &
+         !ale_wake, &
          wake_omg, d_t_wake, d_q_wake, Vprecip, &
          wdtrainA, wdtrainM, n2, s2, proba_notrig, &
-         random_notrig, ale_bl_stat, &
+         random_notrig, &
+         !ale_bl_stat, &
          alp_bl_det, alp_bl_fluct_m, alp_bl_conv, &
          alp_bl_stat, alp_bl_fluct_tke, slab_wfbils, &
@@ -337,5 +343,5 @@
          pmflxr, pmflxs, prfl, psfl, re, fl, rh2m, &
          qsat2m, tpote, tpot, d_ts, od550aer, &
-         od865aer, absvisaer, od550lt1aer, sconcso4, sconcno3, &
+         od865aer, abs550aer, od550lt1aer, sconcso4, sconcno3, &
          sconcoa, sconcbc, sconcss, sconcdust, concso4, concno3, &
          concoa, concbc, concss, concdust, loadso4, &
@@ -372,10 +378,10 @@
          bils_ec,bils_ech, bils_tke, bils_kinetic, bils_latent, bils_enthalp, &
          itau_con, nfiles, clef_files, nid_files, zvstr_gwd_rando
-    USE ocean_slab_mod, ONLY: tslab, slab_bils, slab_bilg, tice, seaice
+    USE ocean_slab_mod, ONLY: tslab, slab_bilg, tice, seaice
     USE pbl_surface_mod, ONLY: snow
     USE indice_sol_mod, ONLY: nbsrf
     USE infotrac, ONLY: nqtot, nqo, nbtr, type_trac
     USE geometry_mod, ONLY: cell_area
-    USE surface_data, ONLY: type_ocean, version_ocean, ok_veget, ok_snow
+    USE surface_data, ONLY: type_ocean, version_ocean, ok_veget, landice_opt
 !    USE aero_mod, ONLY: naero_spc
     USE aero_mod, ONLY: naero_tot, id_STRAT_phy
@@ -405,4 +411,5 @@
     INTEGER, DIMENSION(klon) :: lmax_th
     LOGICAL :: aerosol_couple, ok_sync
+    LOGICAL :: ok_ade, ok_aie
     LOGICAL, DIMENSION(klon, klev) :: ptconv, ptconvth
     REAL :: pdtphys
@@ -442,9 +449,12 @@
     CALL set_itau_iophy(itau_w)
 
-    IF (.NOT.vars_defined) THEN
-       iinitend = 2
-    ELSE
-       iinitend = 1
-    ENDIF
+!AS, vu avec LF : le test est fait maintenant au debut du pdt, pas a la fin, alors on ne passe plus qu'une fois
+! Donc le "IF (.NOT.vars_defined)" devient inutile, et la boucle "DO iinit=1, iinitend" pourra etre eliminee 
+!  ainsi que iinit, iinitend
+!    IF (.NOT.vars_defined) THEN
+!       iinitend = 2
+!    ELSE
+!       iinitend = 1
+!    ENDIF
 
     ! ug la boucle qui suit ne sert qu'une fois, pour l'initialisation, sinon il n'y a toujours qu'un seul passage:
@@ -667,5 +677,5 @@
        CALL histwrite_phy(o_tauy, zx_tmp_fi2d)
 
-       IF (ok_snow) THEN
+       IF (landice_opt .GE. 1 ) THEN
           CALL histwrite_phy(o_snowsrf, snow_o)
           CALL histwrite_phy(o_qsnow, qsnow)
@@ -735,8 +745,18 @@
        CALL histwrite_phy(o_cldt, cldt)
        CALL histwrite_phy(o_JrNt, JrNt)
-       CALL histwrite_phy(o_cldljn, cldl*JrNt)
-       CALL histwrite_phy(o_cldmjn, cldm*JrNt)
-       CALL histwrite_phy(o_cldhjn, cldh*JrNt)
-       CALL histwrite_phy(o_cldtjn, cldt*JrNt)
+
+       !CALL histwrite_phy(o_cldljn, cldl*JrNt)
+       IF (vars_defined)  zx_tmp_fi2d=cldl*JrNt
+       CALL histwrite_phy(o_cldljn, zx_tmp_fi2d)
+       !CALL histwrite_phy(o_cldmjn, cldm*JrNt)
+       IF (vars_defined)  zx_tmp_fi2d=cldm*JrNt
+       CALL histwrite_phy(o_cldmjn, zx_tmp_fi2d)
+       !CALL histwrite_phy(o_cldhjn, cldh*JrNt)
+       IF (vars_defined)  zx_tmp_fi2d=cldh*JrNt
+       CALL histwrite_phy(o_cldhjn, zx_tmp_fi2d)
+       !CALL histwrite_phy(o_cldtjn, cldt*JrNt)
+       IF (vars_defined)  zx_tmp_fi2d=cldt*JrNt
+       CALL histwrite_phy(o_cldtjn, zx_tmp_fi2d)
+
        CALL histwrite_phy(o_cldq, cldq)
        IF (vars_defined)       zx_tmp_fi2d(1:klon) = flwp(1:klon)
@@ -932,5 +952,5 @@
        IF (type_ocean=='slab ') THEN
           CALL histwrite_phy(o_slab_qflux, slab_wfbils)
-          CALL histwrite_phy(o_slab_bils, slab_bils)
+          !CALL histwrite_phy(o_slab_bils, slab_bils)
           IF (nslay.EQ.1) THEN
               zx_tmp_fi2d(:)=tslab(:,1)
@@ -967,5 +987,5 @@
           ENDDO
        ENDIF
-       CALL histwrite_phy(o_rh2m_min, zx_tmp_fi2d)
+       !CALL histwrite_phy(o_rh2m_min, zx_tmp_fi2d)
 
        IF (vars_defined) THEN
@@ -974,5 +994,5 @@
           ENDDO
        ENDIF
-       CALL histwrite_phy(o_rh2m_max, zx_tmp_fi2d)
+       !CALL histwrite_phy(o_rh2m_max, zx_tmp_fi2d)
 
        CALL histwrite_phy(o_qsat2m, qsat2m)
@@ -996,5 +1016,5 @@
           CALL histwrite_phy(o_od550aer, od550aer)
           CALL histwrite_phy(o_od865aer, od865aer)
-          CALL histwrite_phy(o_absvisaer, absvisaer)
+          CALL histwrite_phy(o_abs550aer, abs550aer)
           CALL histwrite_phy(o_od550lt1aer, od550lt1aer)
           CALL histwrite_phy(o_sconcso4, sconcso4)
@@ -1136,12 +1156,17 @@
        CALL histwrite_phy(o_rnebjn, zx_tmp_fi3d)
        CALL histwrite_phy(o_rhum, zx_rh)
-       CALL histwrite_phy(o_ozone, &
-            wo(:, :, 1) * dobson_u * 1e3 / zmasse / rmo3 * rmd)
+       !CALL histwrite_phy(o_ozone, &
+       !     wo(:, :, 1) * dobson_u * 1e3 / zmasse / rmo3 * rmd)
+       IF (vars_defined) zx_tmp_fi3d = wo(:, :, 1) * dobson_u * 1e3 / zmasse / rmo3 * rmd
+       CALL histwrite_phy(o_ozone, zx_tmp_fi3d)
 
        IF (read_climoz == 2) THEN
-          CALL histwrite_phy(o_ozone_light, &
-               wo(:, :, 2) * dobson_u * 1e3 / zmasse / rmo3 * rmd)
-       ENDIF
-
+         !CALL histwrite_phy(o_ozone_light, &
+         !     wo(:, :, 2) * dobson_u * 1e3 / zmasse / rmo3 * rmd)
+         IF (vars_defined) zx_tmp_fi3d = wo(:, :, 2) * dobson_u * 1e3 / zmasse / rmo3 * rmd
+         CALL histwrite_phy(o_ozone_light, zx_tmp_fi3d)
+       ENDIF
+
+       !AS: dans phys_output_write il y a en plus : CALL histwrite_phy(o_duphy, d_u) 
        CALL histwrite_phy(o_dtphy, d_t)
        CALL histwrite_phy(o_dqphy,  d_qx(:,:,ivap))
@@ -1585,8 +1610,9 @@
 #endif
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-        IF (nqtot.GE.nqo+1) THEN
-            DO iq=nqo+1,nqtot
-              IF (type_trac == 'lmdz' .OR. type_trac == 'repr') THEN
-
+       IF (nqtot.GE.nqo+1) THEN
+         !AS: type_trac = 'lmdz' par defaut dans libf/dyn3d/conf_gcm.F90
+         !Changé par inca, repr(obus), coag(ulation), co2i(nteractif), PAS par SPLA
+         !Cet "if" est donc inutile : IF (type_trac == 'lmdz' .OR. type_trac == 'repr') THEN
+           DO iq=nqo+1,nqtot
              CALL histwrite_phy(o_trac(iq-nqo), tr_seri(:,:,iq-nqo))
              CALL histwrite_phy(o_dtr_vdf(iq-nqo),d_tr_cl(:,:,iq-nqo))
@@ -1612,6 +1638,6 @@
              ENDIF
              CALL histwrite_phy(o_trac_cum(iq-nqo), zx_tmp_fi2d)
-             ENDIF
-          ENDDO
+           ENDDO
+         !ENDIF
        ENDIF
 
@@ -1639,5 +1665,5 @@
        ENDIF
 
-    ENDDO
+    ENDDO ! iinit
 
     IF (vars_defined) THEN
Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3851)
@@ -3,5 +3,4 @@
 
 MODULE phytracr_spl_mod
-
 
 ! Recuperation des morceaux de la physique de Jeronimo specifiques
@@ -35,7 +34,4 @@
   CHARACTER*800 fileregionsdimsbb
   CHARACTER*800 fileregionsdimswstar
-!  CHARACTER*800 filescaleparamsind
-!  CHARACTER*800 filescaleparamsdust
-!  CHARACTER*800 filescaleparamsbb
   CHARACTER*100 paramname_ind
   CHARACTER*100 paramname_bb
